{% extends 'historical_data_empty.html' %}

{% block title %}{% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
    {{ super() }} {# referring to content in parent templates #}
    <link href="/static/assets/css/historical_data_2.css" rel="stylesheet">
{% endblock %}

{% block more_content %}
      <div class="container-fluid">
        <table class="table table-bordered table-striped table-responsive mb-0 table-wrapper-scroll-y my-custom-scrollbar tableFixHead table-hover">
          <thead>
            <tr>
              {% for item in column_names %}
              <th scope="col">{{item[0]}}</th>
              {% endfor %}
            </tr>
          </thead>
          <tbody>
            {% for row in data %}
            <!-- this part only works if row[1] is name of sensor -->
              <tr data-href="/add_diagramm/{{row[1]}}">
                {% for item in row %}
                  <td>{{item}}</td>
                {% endfor %}
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>


<!-- TODO: - user should be able to look for something specific -> add search field
           - create SQL views to show data from different tabels
           - Qualität der Daten mit Produktinfos & prediction of model zusammen darstellen
-->

{% endblock %}

{% block javascripts %}
{{ super() }}

<!-- ✅ load jQuery ✅ -->
<script
src="https://code.jquery.com/jquery-3.6.0.min.js"
integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
crossorigin="anonymous"
></script>

<!-- ✅ load DataTables ✅ -->
<script
src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.21/js/jquery.dataTables.min.js"
integrity="sha512-BkpSL20WETFylMrcirBahHfSnY++H2O1W+UnEEO4yNIl+jI2+zowyoGJpbtk6bx97fBXf++WJHSSK2MV4ghPcg=="
crossorigin="anonymous"
referrerpolicy="no-referrer"
></script>

<!-- <script>
  $(document).ready(function () {
    $('#dtDynamicVerticalScrollExample').DataTable({
      scrollY: "400px",
      scrollCollapse: true,
      paging: false,
    });
    $('.dataTables_length').addClass('bs-select');
  });
</script> -->

<!-- Script to make lines in the table clickable -->
<script>
  $(function(){
    $(document).on('click', '[data-href]', function() {
      var url =$(this).data('href');
      if (url && url.length > 0) {
        document.location.href = url;
        return false;
      }
    });
  });
</script>


{% endblock %}
